ReflectionMessageBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.component.builder.ReflectionMessageBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component.builder
Class ReflectionMessageBuilder

    java.lang.Object
      org.mule.component.builder.AbstractMessageBuilder
          org.mule.component.builder.ReflectionMessageBuilder

All Implemented Interfaces:
  MessageBuilder, Callable, EventListener, ServiceAware

Deprecated. Since 2.2. Users should configure components with bindings.

    public class ReflectionMessageBuilder

extends AbstractMessageBuilder

Will try and set the result of an invocation as a bean property on the request message using reflection.

Field Summary
`protected Set` | `ignoreMethods` Deprecated.

Fields inherited from class org.mule.component.builder.AbstractMessageBuilder
`logger, service`

Constructor Summary
`ReflectionMessageBuilder()` Deprecated.

Method Summary
`Object` | `buildMessage(MuleMessage request, MuleMessage response)` Deprecated.

Methods inherited from class org.mule.component.builder.AbstractMessageBuilder
`onCall, setService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ignoreMethods

    protected final Set ignoreMethods

  Deprecated.

Constructor Detail

### ReflectionMessageBuilder

    public ReflectionMessageBuilder()

  Deprecated.

Method Detail

### buildMessage

    public Object buildMessage(MuleMessage request,
                               MuleMessage response)
                        throws MessageBuilderException

  Deprecated.
  Throws:
    `MessageBuilderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.